__metaclass__ = type
obj_map = {}

class MRTClass():

    @classmethod
    def __mrt_cls_name__(cls):
        return "{}.{}".format(cls.__module__,cls.__name__)

    @classmethod
    def __mrt_init__(cls):
        instance = cls()
        name = cls.__mrt_cls_name__()
        print name
        obj_map[name] = instance


    @classmethod
    def __mrt_process__(cls,args):
        global obj_map
        name = cls.__mrt_cls_name__()
        instance = obj_map[name]
        if instance is None or instance == 0:
            return {"MRT_CODE": -1010, "MRT_MSG": "inst is None"}
        return instance.process(args)
    #
    @classmethod
    def __mrt_destroy__(cls):
        # util.util.log(taskName, 'DEBUG', 'MRT_DEL handle=%s'%(type(handle)))
        global obj_map
        name = cls.__mrt_cls_name__()
        del obj_map[name]
        return {"_errCode": 0}